using System.Diagnostics;
using System.Globalization;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf;
using Telerik.Windows.Documents.Fixed.Model;

namespace SampleApp
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("sv");
            RadFixedDocument document = new RadFixedDocument();
            PdfFormatProvider provider = new PdfFormatProvider();

            using (Stream input = File.OpenRead("SampleDocument.pdf"))
            {
                document = provider.Import(input);
            }

            string exportedPath = "Exported.pdf";
            File.Delete(exportedPath);

            using (Stream output = File.OpenWrite(exportedPath))
            {
                provider.Export(document, output);
            }

            Process.Start(new ProcessStartInfo() { FileName = exportedPath, UseShellExecute = true });
        }
    }
}